function affiche(UU,Numtri,Coorneu)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% affiche:
% pour visualiser un ensemble de valeurs aux sommets 
% sur un maillage triangulaire 2D
%
% SYNOPSIS : affiche(UU,Numtri,Coorneu)
%          
% INPUT * UU ensemble de p vecteurs de valeurs aux sommets (tableau Nbpt x p)
%       * Numtri : liste de triangles 
%                   (3 numeros de sommets - tableau Nbtri x 3)
%       * Coorneu : coordonnees (x, y) des sommets (tableau Nbpt x 2)
%       * titre (optionel) un titre (string)
%
% OUTPUT une fenetre graphique
%
% NOTE 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

NbVecteurs = size(UU,2);
NbLignes   = ceil(sqrt(NbVecteurs));
NbColonnes = NbLignes;

figure;
for k=1:NbVecteurs
   subplot(NbLignes,NbColonnes,k);
   trisurf(Numtri,Coorneu(:,1),Coorneu(:,2),UU(:,k));
   view(2);
   shading interp;
 % shading flat;
 % shading faceted;
   colorbar;
   title(['Vecteur propre numero ',num2str(k)]);
   grid off;
end
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                        fin de la routine
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

